/*******************************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ******************************************************************************/
package gov.va.med.esr.common.builder.entity.metaData;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.builder.entity.AddressMetaData;
import gov.va.med.esr.common.builder.entity.EmploymentMetaData;
import gov.va.med.esr.common.model.person.Employment;
import gov.va.med.esr.service.external.person.EmploymentInfo;


// Messaging Classes

public class EmploymentMetaDataFromIVM
    extends AbstractMetaData
    implements EmploymentMetaData
{
    private Employment entity;

    private EmploymentInfo ivmEmploymentInfo;

    private AddressMetaData address;

    public EmploymentMetaDataFromIVM(EmploymentInfo ivmEmploymentInfo)
    {
        super();

        this.ivmEmploymentInfo = ivmEmploymentInfo;        
        
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.esr.messaging.builder.entity.EmploymentMetaData#getEntity()
     */
    public Employment getEntity()
    {
        return this.entity;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.esr.messaging.builder.entity.EmploymentMetaData#setEntity(gov.va.med.esr.common.model.person.Employment)
     */
    public void setEntity(Employment entity)
    {
        this.entity = entity;
    }
 
    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.esr.messaging.builder.entity.EmploymentMetaData#getEmploymentStatus()
     */
    public String getEmploymentStatus()
    {
        return null;
    }

    public String getEmployerName() {
        return null;
     }

    public String getEmployerPhone() {
        return null;
    }

    public String getOccupation() {
        return null;
    }

    public AddressMetaData getAddress()
    {
        return null;
    }

    public String getRetirementDate() {
        return (this.ivmEmploymentInfo == null) ? null : this.ivmEmploymentInfo.getRetirementDate();
    }
}